ros-humble-autoware-motion-velocity-obstacle-stop-module (1.8.0-3jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/main' into tmp/bot/bump_version_base
  * fix(motion_velocity_planner): fix Unnecessary Copy Assignment Movable (#813 <https://github.com/mitsudome-r/autoware_core/issues/813>)
  * fix(autoware_motion_velocity_obstacle_stop_module): fix bugprone-unchecked-optional-access warnings (#899 <https://github.com/mitsudome-r/autoware_core/issues/899>)
  * fix(autoware_motion_velocity_obstacle_stop_module): fix bugprone-narrowing-conversions warnings (#927 <https://github.com/mitsudome-r/autoware_core/issues/927>)
    * fix(autoware_motion_velocity_obstacle_stop_module): fix bugprone-narrowing-conversions warnings
    * style(pre-commit): autofix
    ---------
    Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
  * fix(autoware_motion_velocity_obstacle_stop_module): fix bugprone-optional-value-conversion warnings (#907 <https://github.com/mitsudome-r/autoware_core/issues/907>)
  * Contributors: NorahXiong, Ryuta Kambe, github-actions

 -- "Takayuki Murooka" <takayuki.murooka@tier4.jp>  Thu, 30 Apr 2026 15:00:00 -0000

ros-humble-autoware-motion-velocity-obstacle-stop-module (1.7.0-3jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/main' into humble
  * feat(obstacle_stop): add height and size filter (#822 <https://github.com/autowarefoundation/autoware_core/issues/822>)
  * feat(motion_velocity_planner): publish debug trajectory for each module (#761 <https://github.com/autowarefoundation/autoware_core/issues/761>)
  * docs(obstacle_stop): revise documentation (#793 <https://github.com/autowarefoundation/autoware_core/issues/793>)
  * Contributors: Maxime CLEMENT, Ryohsuke Mitsudome, Yuki TAKAGI, Zulfaqar Azmi

 -- "Takayuki Murooka" <takayuki.murooka@tier4.jp>  Fri, 13 Feb 2026 15:00:00 -0000

ros-humble-autoware-motion-velocity-obstacle-stop-module (1.6.0-3jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/main' into tmp/bot/bump_version_base
  * refactor(vehicle_info_utils): reduce autoware_utils deps (#754 <https://github.com/autowarefoundation/autoware_core/issues/754>)
  * chore: tf2_ros to hpp headers (#616 <https://github.com/autowarefoundation/autoware_core/issues/616>)
  * refactor(motion_velocity_planner): refactor time publisher (#718 <https://github.com/autowarefoundation/autoware_core/issues/718>)
  * Contributors: Mete Fatih Cırıt, Tim Clephas, Yuki TAKAGI, github-actions

 -- "Takayuki Murooka" <takayuki.murooka@tier4.jp>  Mon, 29 Dec 2025 15:00:00 -0000

ros-humble-autoware-motion-velocity-obstacle-stop-module (1.5.0-3jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/main' into humble
  * feat: replace ament_auto_package to autoware_ament_auto_package (#700 <https://github.com/autowarefoundation/autoware_core/issues/700>)
    * replace ament_auto_package to autoware_ament_auto_package
    * style(pre-commit): autofix
    ---------
    Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
  * chore(obstacle_stop_module): add maintainer (#674 <https://github.com/autowarefoundation/autoware_core/issues/674>)
  * feat(obstacle_stop): hold behavior stop margin (#673 <https://github.com/autowarefoundation/autoware_core/issues/673>)
  * feat(obstacle_stop): add filter for outside obstacle (#667 <https://github.com/autowarefoundation/autoware_core/issues/667>)
  * feat(obstacle_stop_module, motion_velocity_planner_common): add safety_factor to obstacle_stop module (#572 <https://github.com/autowarefoundation/autoware_core/issues/572>)
    add safety factor, add planning_factor test
  * chore(mvp_planner_common): add docstrings for PlannerData:::object (#615 <https://github.com/autowarefoundation/autoware_core/issues/615>)
  * fix(obstacle_stp): fix several bugs (#596 <https://github.com/autowarefoundation/autoware_core/issues/596>)
    * fix(obstacle_stp): fix several bugs
    * fix
    * fix
    * fix
    ---------
  * feat(motion_velocity_planner_common):  lateral margin adjustment for the ego's curvature and target obstacle motion (#619 <https://github.com/autowarefoundation/autoware_core/issues/619>)
    * add additonal off-track mailto:featureuki.takagi@tier4.jp>
    ---------
    Co-authored-by: Junya Sasaki <mailto:j2sasaki1990@gmail.com>
  * feat(obstacle_stop): enable object specified obstacle_filtering parameter and refactor obstacle type handling (#613 <https://github.com/autowarefoundation/autoware_core/issues/613>)
    * refactor obstacle_filtering structure and type handling
    ---------
  * fix(obstacle_stop): fix bug for the backwoard motions (#617 <https://github.com/autowarefoundation/autoware_core/issues/617>)
    fix back stop
  * fix(autoware_motion_velocity_obstacle_stop_module): rm wrong dependency (#597 <https://github.com/autowarefoundation/autoware_core/issues/597>)
  * feat(obstacle_stop): add velocity estimation feature for point cloud (#590 <https://github.com/autowarefoundation/autoware_core/issues/590>)
    add velocity estimation for pcl
  * chore: bump version (1.4.0) and update changelog (#608 <https://github.com/autowarefoundation/autoware_core/issues/608>)
  * Contributors: Mamoru Sobue, Maxime CLEMENT, Mete Fatih Cırıt, Takayuki Murooka, Yuki TAKAGI, Yutaka Kondo, mitsudome-r

 -- "Takayuki Murooka" <takayuki.murooka@tier4.jp>  Sat, 15 Nov 2025 15:00:00 -0000

ros-humble-autoware-motion-velocity-obstacle-stop-module (1.4.0-3jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/main' into humble
  * feat(motion_velocity_planner, motion_velocity_planner_common): update pointcloud preprocess design (#591 <https://github.com/autowarefoundation/autoware_core/issues/591>)
    * updare pcl preprocess
    ---------
  * fix(obstacle_stop): fix the brief stop decision logic (#583 <https://github.com/autowarefoundation/autoware_core/issues/583>)
  * chore: bump version to 1.3.0 (#554 <https://github.com/autowarefoundation/autoware_core/issues/554>)
  * fix(obstacle_stop_module): fix outside stop feature (#576 <https://github.com/autowarefoundation/autoware_core/issues/576>)
  * fix(obstacle_stop): fix for failing scenario (#566 <https://github.com/autowarefoundation/autoware_core/issues/566>)
    fix for failing scenario
  * feat(obstacle_stop_module)!: add leading vehicle following by rss stop position determination (#537 <https://github.com/autowarefoundation/autoware_core/issues/537>)
    * add new feature
    ---------
  * feat(obstacle_stop_module): add cut in stop feature (#517 <https://github.com/autowarefoundation/autoware_core/issues/517>)
    * restore the old function to pass universe CI
    * add new feature
    * add todo comment
    ---------
  * refactor(motion_velocity_planner_common): splt get_predicted_pose() (#558 <https://github.com/autowarefoundation/autoware_core/issues/558>)
    * rename
    * restore the old function to pass universe CI
  * Contributors: Arjun Jagdish Ram, Ryohsuke Mitsudome, Takayuki Murooka, Yuki TAKAGI

 -- "Takayuki Murooka" <takayuki.murooka@tier4.jp>  Sun, 10 Aug 2025 15:00:00 -0000

ros-humble-autoware-motion-velocity-obstacle-stop-module (1.3.0-3jammy) jammy; urgency=high

  * fix: to be consistent version in all package.xml(s)
  * feat(obstacle_stop): update parameter explanation (#501 <https://github.com/autowarefoundation/autoware_core/issues/501>)
    * feat(obstacle_stop): update parameter explanation
    * update
    * update
    * fix
    ---------
  * feat(autoware_motion_velocity_planner)!: only wait for the required subscriptions (#505 <https://github.com/autowarefoundation/autoware_core/issues/505>)
    Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
  * fix(autoware_motion_velocity_obstacle_stop_module): point-cloud points ahead of the terminal stop-point (#502 <https://github.com/autowarefoundation/autoware_core/issues/502>)
    * fix
    * moved resample_trajectory_points to non-anonymous status
    * style(pre-commit): autofix
    * fix
    ---------
    Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
  * feat!: remove obstacle_stop_planner and obstacle_cruise_planner (#495 <https://github.com/autowarefoundation/autoware_core/issues/495>)
    * feat: remove obstacle_stop_planner and obstacle_cruise_planner
    * update
    * fix
    ---------
  * feat(obstacle_stop_module): maintain larger stop distance for opposing traffic (#451 <https://github.com/autowarefoundation/autoware_core/issues/451>)
    * Opposing traffic handling
    * Changes to core params
    * fix
    * fixes
    * style(pre-commit): autofix
    ---------
    Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
  * fix(autoware_motion_velocity_obstacle_stop_module): fix for mishandling lateral-distance (#452 <https://github.com/autowarefoundation/autoware_core/issues/452>)
    * Fix for mishandling lateral-distance
    * fix
    * style(pre-commit): autofix
    * fix
    * fix
    * fix
    * style(pre-commit): autofix
    * fix
    * style(pre-commit): autofix
    * Update planning/motion_velocity_planner/autoware_motion_velocity_planner_common/src/utils.cpp
    Co-authored-by: Yutaka Kondo <mailto:yutaka.kondo@youtalk.jp>
    ---------
    Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
    Co-authored-by: Yutaka Kondo <mailto:yutaka.kondo@youtalk.jp>
  * fix(autoware_motion_velocity_obstacle_stop_module): fix deprecated autoware_utils header (#443 <https://github.com/autowarefoundation/autoware_core/issues/443>)
    * fix autoware_utils header
    * style(pre-commit): autofix
    ---------
    Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
    Co-authored-by: Yutaka Kondo <mailto:yutaka.kondo@youtalk.jp>
  * chore: bump up version to 1.1.0 (#462 <https://github.com/autowarefoundation/autoware_core/issues/462>) (#464 <https://github.com/autowarefoundation/autoware_core/issues/464>)
  * feat(autoware_motion_velocity_planner): point-cloud clustering optimization (#409 <https://github.com/autowarefoundation/autoware_core/issues/409>)
    * Core changes for point-cloud maksing and clustering
    * fix
    * style(pre-commit): autofix
    * Update planning/motion_velocity_planner/autoware_motion_velocity_planner_common/include/autoware/motion_velocity_planner_common/planner_data.hpp
    Co-authored-by: Yutaka Kondo <mailto:yutaka.kondo@youtalk.jp>
    * fix
    ---------
    Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
    Co-authored-by: Yutaka Kondo <mailto:yutaka.kondo@youtalk.jp>
  * Contributors: Arjun Jagdish Ram, Masaki Baba, Ryohsuke Mitsudome, Takayuki Murooka, Yutaka Kondo, github-actions

 -- "Takayuki Murooka" <takayuki.murooka@tier4.jp>  Sun, 22 Jun 2025 15:00:00 -0000

ros-humble-autoware-motion-velocity-obstacle-stop-module (1.1.0-3jammy) jammy; urgency=high



 -- "Takayuki Murooka" <takayuki.murooka@tier4.jp>  Wed, 30 Apr 2025 15:00:00 -0000

ros-humble-autoware-motion-velocity-obstacle-stop-module (1.0.0-3jammy) jammy; urgency=high

  * chore: update version in package.xml
  * fix(motion_velocity_obstacle_stop_module): fix debug topic name (#341 <https://github.com/autowarefoundation/autoware_core/issues/341>)
    fix(motion_velocity_obstacle_xxx_module): fix debug topic name
  * fix(autoware_motion_velocity_obstacle_stop_module): fix plugin export (#333 <https://github.com/autowarefoundation/autoware_core/issues/333>)
  * feat(autoware_motion_velocity_obstacle_stop_module): port to core repo (#310 <https://github.com/autowarefoundation/autoware_core/issues/310>)
  * Contributors: Ryohsuke Mitsudome, Takayuki Murooka, 心刚

 -- "Takayuki Murooka" <takayuki.murooka@tier4.jp>  Sun, 30 Mar 2025 15:00:00 -0000


